#-------------------------------------------------
#
# Project created by QtCreator 2011-10-22T16:01:06
#
#-------------------------------------------------

QT       += core gui opengl network
#CONFIG  += console
CONFIG  += x86

TARGET = ../Kimu
TEMPLATE = app

FORMS    += \
    src/menu/menu.ui \
    src/menu/menuconnect.ui \
    src/menu/menugamechooser.ui \
    src/game/playerportrait.ui \
    src/menu/menugamechoosermp.ui \
    src/menu/menuoptions.ui \
    src/menu/loadwidget.ui \
    src/menu/help.ui \
    src/menu/scorescreen.ui

HEADERS += \
    src/texts.h \
    src/settings.h \
    src/qosgscene.h \
    src/launcher.h \
    src/menu/menuwidget.h \
    src/menu/menuscene.h \
    src/menu/menugamechooser.h \
    src/menu/menuconnect.h \
    src/menu/menu.h \
    src/game/gamescene.h \
    src/game/gameobject.h \
    src/game/gamecontrolwidget.h \
    src/game/weapon.h \
    src/game/controls.h \
    src/game/gamecontrol.h \
    src/gswidget.h \
    src/game/gamecamera.h \
    src/game/playerportrait.h \
    src/game/projectile.h \
    src/game/player.h \
    src/game/maps.h \
    src/game/mapobject.h \
    src/gui/buttons.h \
    src/menu/menugamechoosermp.h \
    src/network/connection.h \
    src/network/packet.h \
    src/network/hostconnection.h \
    src/network/clientinfo.h \
    src/game/gamecontrolhost.h \
    src/game/gamecontrolclient.h \
    src/menu/dragable.h \
    src/gfx/enginesmoke.h \
    src/gfx/explosion.h \
    src/menu/menuoptions.h \
    src/game/bonus.h \
    src/menu/loadwidget.h \
    src/modelloader.h \
    src/gfx/particleeffect.h \
    src/menu/creditswidget.h \
    src/menu/creditsscene.h \
    src/game/ai.h \
    src/menu/help.h \
    src/menu/scorescreen.h

SOURCES += \
    src/texts.cpp \
    src/settings.cpp \
    src/qosgscene.cpp \
    src/main.cpp \
    src/launcher.cpp \
    src/menu/menuwidget.cpp \
    src/menu/menuscene.cpp \
    src/menu/menugamechooser.cpp \
    src/menu/menuconnect.cpp \
    src/menu/menu.cpp \
    src/game/gamescene.cpp \
    src/game/gameobject.cpp \
    src/game/gamecontrolwidget.cpp \
    src/game/weapon.cpp \
    src/game/controls.cpp \
    src/game/gamecontrol.cpp \
    src/gswidget.cpp \
    src/game/gamecamera.cpp \
    src/game/playerportrait.cpp \
    src/game/projectile.cpp \
    src/game/player.cpp \
    src/game/maps.cpp \
    src/game/mapobject.cpp \
    src/gui/buttons.cpp \
    src/menu/menugamechoosermp.cpp \
    src/network/connection.cpp \
    src/network/packet.cpp \
    src/network/hostconnection.cpp \
    src/network/clientinfo.cpp \
    src/game/gamecontrolhost.cpp \
    src/game/gamecontrolclient.cpp \
    src/gfx/enginesmoke.cpp \
    src/gfx/explosion.cpp \
    src/menu/menuoptions.cpp \
    src/game/bonus.cpp \
    src/menu/loadwidget.cpp \
    src/modelloader.cpp \
    src/gfx/particleeffect.cpp \
    src/menu/creditswidget.cpp \
    src/menu/creditsscene.cpp \
    src/game/ai.cpp \
    src/menu/help.cpp \
    src/menu/scorescreen.cpp



MOC_DIR += $$PWD/build
UI_DIR += $$PWD/build
OBJECTS_DIR += $$PWD/build

INCLUDEPATH = \
    "src/menu" \
    "src/game" \
    "src/gui" \
    "src/gfx"

LIBS += \
        -lOpenThreads \
#        -lopengl32 \
        -losg \
        -losgDB \
        -losgGA \
        -losgUtil \
        -losgText \
        -losgViewer \
#        -losgShadow \
        -losgParticle \
#        -losgAnimation \
        -losgQt \
        -losgWidget


OTHER_FILES += \
    data/style.css \
    data/lang/enGB \
    data/lang/czCZ

#QMAKE_CXXFLAGS += -ggdb
