#ifndef ENGINESMOKE_H
#define ENGINESMOKE_H

#include <osg/Group>
#include <osg/Geode>

#include <osgParticle/Particle>
#include <osgParticle/ParticleSystem>
#include <osgParticle/ParticleSystemUpdater>
#include <osgParticle/ModularEmitter>
#include <osgParticle/ModularProgram>
#include <osgParticle/RandomRateCounter>
#include <osgParticle/SectorPlacer>
#include <osgParticle/RadialShooter>
#include <osgParticle/AccelOperator>

#include "particleeffect.h"
/**
 * @todo sloucit do jedny classy a parametrama
 *
 */

/**
 * GFX testing
 */
class EngineSmoke : public ParticleEffect {
public:
    EngineSmoke();
    osgParticle::RadialShooter *shooter;
};

/**
 * GFX testing
 */
class EngineSmoke2 : public ParticleEffect {
public:
    EngineSmoke2();
    osgParticle::RadialShooter *shooter;
    osg::Geode *geode;
    osgParticle::ParticleSystemUpdater *psu;
};

/**
 * GFX testing
 */
class EngineSmoke3 : public ParticleEffect {
public:
    EngineSmoke3();
    osgParticle::RadialShooter *shooter;
    osg::Geode *geode;
    osgParticle::ParticleSystemUpdater *psu;
};

#endif // ENGINESMOKE_H
