/*****************************************************************************\
 *
 * Author: Michal Tth (xtothm00 _AT stud.fit.vutbr.cz)
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, author will kindly welcome
 * if you give him credit and keep his names with their source code
 * and inform him about any succesful project using this code.
 *
\*****************************************************************************/
#ifndef BUTTONS_H
#define BUTTONS_H

#include <QPushButton>

/**
 * Custom-class buttons
 * used for formating via css
 */

class MenuButton : public QPushButton {
    Q_OBJECT
public:
    explicit MenuButton(QWidget *parent = 0);
};

class BigButton : public MenuButton {
    Q_OBJECT
public:
    explicit BigButton(QWidget *parent = 0);
};

class SmallButton : public MenuButton {
    Q_OBJECT
public:
    explicit SmallButton(QWidget *parent = 0);
};

class ButtonLeft : public QPushButton {
    Q_OBJECT
public:
    explicit ButtonLeft(QWidget *parent = 0);
};

class ButtonRight : public QPushButton {
    Q_OBJECT
public:
    explicit ButtonRight(QWidget *parent = 0);
};
#endif // BUTTONS_H
