/*****************************************************************************\
 *
 * Author: Michal Tth (xtothm00 _AT stud.fit.vutbr.cz)
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, author will kindly welcome
 * if you give him credit and keep his names with their source code
 * and inform him about any succesful project using this code.
 *
\*****************************************************************************/

#include <QtGui/QApplication>
#include "launcher.h"

int main(int argc, char *argv[]) {
    QApplication a(argc, argv);

    // load style
    QFile file("data/style.css");
    file.open(QFile::ReadOnly);
    QString StyleSheet = QString(file.readAll());
    qApp->setStyleSheet(StyleSheet);


    QFontDatabase::addApplicationFont(QString("data/font.ttf"));

    // load Launcher
    Launcher w;
    w.show();

    return a.exec();
}
