/*****************************************************************************
 * ISP/IBP 2011/2012
 * Author: Michal Toth (xtothm00@stud.fit.vutbr.cz)
 *
 *****************************************************************************/

#include "menu.h"
#include "ui_menu.h"
#include "../texts.h"
#include <iostream>

Menu::Menu(QLabel *parent) :
QLabel(parent),
ui(new Ui::Menu) {


    std::cout << "Menu constructor\n";
    ui->setupUi(this);

    // translate text
    ui->pushButton->setText(Texts::get(ui->pushButton->text()));
    ui->pushButton_2->setText(Texts::get(ui->pushButton_2->text()));
    ui->pushButton_3->setText(Texts::get(ui->pushButton_3->text()));
    ui->pushButton_4->setText(Texts::get(ui->pushButton_4->text()));
    ui->pushButton_5->setText(Texts::get(ui->pushButton_5->text()));
    ui->pushButton_6->setText(Texts::get(ui->pushButton_6->text()));
    ui->pushButton_7->setText(Texts::get(ui->pushButton_7->text()));
    ui->pushButton_8->setText(Texts::get(ui->pushButton_8->text()));

    std::cout << "Menu constructor end\n";

}

Menu::~Menu() {
    std::cout << "Menu destruktor\n";
    delete ui;
    std::cout << "Menu destruktor end\n";
}

void Menu::on_pushButton_clicked() {
    emit QuickGame();
}

void Menu::on_pushButton_7_clicked() {
    qApp->quit();
}

void Menu::on_pushButton_3_clicked() {
    emit HotSeat();
}

void Menu::on_pushButton_4_clicked() {
    emit Multiplayer();
}

void Menu::on_pushButton_5_clicked(){
    emit Options();
}

void Menu::on_pushButton_6_clicked()
{
    emit Credits();
}

void Menu::on_pushButton_2_clicked()
{
    emit Solo();
}

void Menu::on_pushButton_8_clicked()
{
    emit Help();
}
