/*****************************************************************************
 * ISP/IBP 2011/2012
 * Author: Michal Toth (xtothm00@stud.fit.vutbr.cz)
 *
 *****************************************************************************/

#ifndef MENU_H
#define MENU_H

#include <QLabel>

#include "dragable.h"

namespace Ui {
    class Menu;
}

/**
 * main menu widget
 */
class Menu : public QLabel {
    Q_OBJECT

public:
    explicit Menu(QLabel *parent = 0);
    virtual ~Menu();

private:
    DRAGABLE
signals:
    void QuickGame();
    void HotSeat();
    void Multiplayer();
    void Options();
    void Credits();
    void Solo();
    void Help();


private slots:
    void on_pushButton_clicked();

    void on_pushButton_7_clicked();

    void on_pushButton_3_clicked();

    void on_pushButton_4_clicked();

    void on_pushButton_5_clicked();

    void on_pushButton_6_clicked();

    void on_pushButton_2_clicked();

    void on_pushButton_8_clicked();

private:
    Ui::Menu *ui;
};

#endif // MENU_H
