/*****************************************************************************\
 *
 * Author: Michal Tth (xtothm00 _AT stud.fit.vutbr.cz)
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, author will kindly welcome
 * if you give him credit and keep his names with their source code
 * and inform him about any succesful project using this code.
 *
\*****************************************************************************/


#ifndef MENUCONNECT_H
#define MENUCONNECT_H

#include <QWidget>
#include <QLabel>

#include "dragable.h"

namespace Ui {
    class MenuConnect;
}

/**
 * Connect menu widget
 */
class MenuConnect : public QLabel {
    Q_OBJECT

public:
    explicit MenuConnect(QLabel *parent = 0);
    ~MenuConnect();

private:
    DRAGABLE
    Ui::MenuConnect *ui;

signals:
    void Host(QString, int);
    void Join(QString, int);
private slots:
    void on_pushButton_clicked();
    void on_pushButton_2_clicked();
};

#endif // MENUCONNECT_H
