/*****************************************************************************\
 *
 * Author: Michal Tth (xtothm00 _AT stud.fit.vutbr.cz)
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, author will kindly welcome
 * if you give him credit and keep his names with their source code
 * and inform him about any succesful project using this code.
 *
\*****************************************************************************/


#ifndef MENUOPTIONS_H
#define MENUOPTIONS_H

#include <QLabel>

#include "../settings.h"

namespace Ui {
    class MenuOptions;
}

class MenuOptions : public QLabel {
    Q_OBJECT

public:
    explicit MenuOptions(QWidget *parent = 0);
    ~MenuOptions();

private slots:
    void on_pOK_clicked();

    void on_pSTORNO_clicked();

private:
    Ui::MenuOptions *ui;

signals:
    void back();
    void ok();
public slots:
};

#endif // MENUOPTIONS_H
