/*****************************************************************************\
 *
 * Author: Michal Tth (xtothm00 _AT stud.fit.vutbr.cz)
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, author will kindly welcome
 * if you give him credit and keep his names with their source code
 * and inform him about any succesful project using this code.
 *
\*****************************************************************************/

#ifndef CREDITSSCENE_H
#define CREDITSSCENE_H

#include "../qosgscene.h"
#include "../modelloader.h"
#include "../texts.h"

#include <osgText/Text3D>
#include <osg/PositionAttitudeTransform>

#include "../gui/buttons.h"
#include <QLabel>
#include <QTimer>
#include <QTime>

class CreditsScene : public QOSGScene {
    Q_OBJECT
public:
    explicit CreditsScene(QObject *parent = 0);
    virtual ~CreditsScene();

protected:
    QLabel* lab;
    QTimer timer;
    QTime time;

    osg::ref_ptr<osg::PositionAttitudeTransform> texts;

    double z;
signals:
    void back();
public slots:
    void slotBack();
    void resized();

    void scroll();
};

#endif // CREDITSSCENE_H
